Date: Tuesday, September 20, 2016 @ 12:04:54
  Author: kkeen
Revision: 190048

archrelease: copy trunk to community-staging-i686, community-staging-x86_64

Added:
  openscad/repos/community-staging-i686/
  openscad/repos/community-staging-i686/CHANGELOG
    (from rev 190047, openscad/trunk/CHANGELOG)
  openscad/repos/community-staging-i686/PKGBUILD
    (from rev 190047, openscad/trunk/PKGBUILD)
  openscad/repos/community-staging-x86_64/
  openscad/repos/community-staging-x86_64/CHANGELOG
    (from rev 190047, openscad/trunk/CHANGELOG)
  openscad/repos/community-staging-x86_64/PKGBUILD
    (from rev 190047, openscad/trunk/PKGBUILD)

------------------------------------+
 community-staging-i686/CHANGELOG   |  115 +++++++++++++++++++++++++++++++++++
 community-staging-i686/PKGBUILD    |   54 ++++++++++++++++
 community-staging-x86_64/CHANGELOG |  115 +++++++++++++++++++++++++++++++++++
 community-staging-x86_64/PKGBUILD  |   54 ++++++++++++++++
 4 files changed, 338 insertions(+)

Copied: openscad/repos/community-staging-i686/CHANGELOG (from rev 190047, 
openscad/trunk/CHANGELOG)
===================================================================
--- community-staging-i686/CHANGELOG                            (rev 0)
+++ community-staging-i686/CHANGELOG    2016-09-20 12:04:54 UTC (rev 190048)
@@ -0,0 +1,115 @@
+2016-09-20 Kyle Keen <keen...@gmail.com>
+       * 2015.03.03-6
+       - Rebuild for cgal 4.9
+
+2016-08-24 Kyle Keen <keen...@gmail.com>
+       * 2015.03.03-5
+       - Rebuild for boost 1.61
+
+2016-08-01 Kyle Keen <keen...@gmail.com>
+       * 2015.03.03-4
+       - Rebuild for glew
+
+2016-05-12 Kyle Keen <keen...@gmail.com>
+       * 2015.03.03-3
+       - Rebuild for boost-1.60.0-5
+
+2016-04-28 Kyle Keen <keen...@gmail.com>
+       * 2015.03.03-2
+       - Rebuild for install hooks
+
+2015-04-18 Kyle Keen <keen...@gmail.com>
+       * 2015.03.03-1
+       - Update to latest release
+       - Rebuild for cgal-4.8
+
+2015-11-16 Kyle Keen <keen...@gmail.com>
+       * 2015.03.02-1
+       - Bugfix release
+
+2015-10-19 Kyle Keen <keen...@gmail.com>
+       * 2015.03.01-5
+       - No changes
+       - Rebuild for cgal-4.7
+
+2015-10-02 foutrelis
+       * 2015.03.01-4
+       - No changes
+
+2015-04-29 Kyle Keen <keen...@gmail.com>
+       * 2015.03.01-3
+       - No changes
+       - Rebuild for qscintilla-2.9-1
+
+2015-04-22 Kyle Keen <keen...@gmail.com>
+       * 2015.03.01-2
+       - No changes
+       - Rebuild for boost-1.58.0-1
+
+2015-04-22 Kyle Keen <keen...@gmail.com>
+       * 2015.03.01-1
+       - Bugfix release
+
+2015-04-11 Kyle Keen <keen...@gmail.com>
+       * 2015.03-2
+       - No changes
+       - Rebuild for cgal-4.6-1
+
+2015-03-10 Kyle Keen <keen...@gmail.com>
+       * 2015.03-1
+       - New release
+       - Now uses qscintilla for the editor
+
+2014-11-04 Kyle Keen <keen...@gmail.com>
+       * 2014.03-5
+       - No changes
+       - Rebuild for boost-1.57.0-1
+
+2014-08-18 Kyle Keen <keen...@gmail.com>
+       * 2014.03-4
+       - No changes
+       - Rebuild for boost-1.56.0-1
+
+2014-08-18 Kyle Keen <keen...@gmail.com>
+       * 2014.03-3
+       - No changes
+       - Rebuild for glew-1.11.0-1
+
+2014-08-12 Kyle Keen <keen...@gmail.com>
+       * 2014.03-2
+       - No changes
+       - Rebuild for boost-1.56.0-1
+
+2014-03-09 Kyle Keen <keen...@gmail.com>
+
+       * 2014.03-1
+       - New release
+       - MIME associations
+
+2014-02-10 Kyle Keen <keen...@gmail.com>
+
+       * 2013.06-3
+       - Moved package to [community]
+       - Explicit boost depends
+       - Use official resources
+
+2014-02-07 Chirantan Ekbote <chirantan.ekb...@gmail.com>
+
+       * 2013.06-2
+       - Update makedepends since eigen3 has now become eigen in [extra]
+
+2013-06-19 Chirantan Ekbote <chirantan.ekb...@gmail.com>
+
+       * 2013.06-1 :
+       - Updated to version 2013.06
+
+2013-03-01 Chirantan Ekbote <chirantan.ekb...@gmail.com>
+
+       * 2013.01-2 :
+       Dependency qt replaced with qt4
+
+2013-01-23 Chirantan Ekbote <chirantan.ekb...@gmail.com>
+
+       * 2013.01-1 :
+       New upstream release.
+       Dependency eigen2 repaced by eigen3

Copied: openscad/repos/community-staging-i686/PKGBUILD (from rev 190047, 
openscad/trunk/PKGBUILD)
===================================================================
--- community-staging-i686/PKGBUILD                             (rev 0)
+++ community-staging-i686/PKGBUILD     2016-09-20 12:04:54 UTC (rev 190048)
@@ -0,0 +1,54 @@
+# $Id$
+# Maintainer: Kyle Keen <keen...@gmail.com>
+# Contributor: Chirantan Ekbote <chirantan.ekbote at gmail.com>
+# Contributor: Eric Anderson <ejona86 at gmail.com>
+# Contributor: Pierre DOUCET <pierre at equinoxefr.org>
+pkgname=openscad
+pkgver=2015.03.03
+_ver=2015.03-3  # hopefully -X is temporary
+pkgrel=6
+pkgdesc="The programmers solid 3D CAD modeller"
+url="http://openscad.org/";
+arch=('i686' 'x86_64')
+license=('GPL2')
+changelog=CHANGELOG
+depends=('qt4' 'qscintilla' 'cgal' 'opencsg' 'boost-libs' 'shared-mime-info')
+makedepends=('eigen' 'boost' 'imagemagick')
+# full tests need imagemagick and an X11 or framebuffer session
+checkdepends=('cmake' 'xproto' 'libx11' 'python2')
+source=("http://files.openscad.org/openscad-$_ver.src.tar.gz";)
+md5sums=('a498a218a247468eee140ccc44c73afa')
+
+build() {
+    cd "$srcdir/$pkgname-$_ver"
+    qmake-qt4 PREFIX="/usr"
+    make
+    convert "icons/$pkgname.png" -resize 128x128\> "icons/$pkgname-128.png"
+}
+
+check() {
+    # see doc/testing.txt about enabling
+    # normally will display stuff, run image diffs
+    cd "$srcdir/$pkgname-$_ver/tests"
+    sed -i 's/exit 1/exit 0/' virtualfb.sh
+    cmake .
+    # pkgconfig weirdness
+    sed -i 's/-lmpfr/& -lX11/' CMakeFiles/openscad_nogui.dir/link.txt 
+    make
+    sed -i 's/ python$/&2/' *.py
+    sed -i 's|/usr/bin/python"|/usr/bin/python2"|g' CTestTestfile.cmake
+    sed -i 's|/usr/bin/python |/usr/bin/python2 |g' CTestCustom.cmake
+    msg "Running headless tests..."
+    ctest -R 
'dumptest|csgtexttest|csgtermtest|openscad-nonascii|openscad-override'
+    # echotest is buggy on i686, check again next release
+}
+
+package() {
+    cd "$srcdir/$pkgname-$_ver"
+    make INSTALL_ROOT="$pkgdir" install
+    # can't remove earlier, py files needed for tests
+    rm "$pkgdir/usr/share/openscad/libraries/MCAD/"*.py
+    install -Dm644 "icons/$pkgname.desktop" 
"$pkgdir/usr/share/applications/$pkgname.desktop"
+    install -Dm644 "icons/$pkgname-128.png" 
"$pkgdir/usr/share/pixmaps/$pkgname.png"
+    install -Dm644 "icons/$pkgname.xml" 
"$pkgdir/usr/share/mime/packages/$pkgname.xml"
+}

Copied: openscad/repos/community-staging-x86_64/CHANGELOG (from rev 190047, 
openscad/trunk/CHANGELOG)
===================================================================
--- community-staging-x86_64/CHANGELOG                          (rev 0)
+++ community-staging-x86_64/CHANGELOG  2016-09-20 12:04:54 UTC (rev 190048)
@@ -0,0 +1,115 @@
+2016-09-20 Kyle Keen <keen...@gmail.com>
+       * 2015.03.03-6
+       - Rebuild for cgal 4.9
+
+2016-08-24 Kyle Keen <keen...@gmail.com>
+       * 2015.03.03-5
+       - Rebuild for boost 1.61
+
+2016-08-01 Kyle Keen <keen...@gmail.com>
+       * 2015.03.03-4
+       - Rebuild for glew
+
+2016-05-12 Kyle Keen <keen...@gmail.com>
+       * 2015.03.03-3
+       - Rebuild for boost-1.60.0-5
+
+2016-04-28 Kyle Keen <keen...@gmail.com>
+       * 2015.03.03-2
+       - Rebuild for install hooks
+
+2015-04-18 Kyle Keen <keen...@gmail.com>
+       * 2015.03.03-1
+       - Update to latest release
+       - Rebuild for cgal-4.8
+
+2015-11-16 Kyle Keen <keen...@gmail.com>
+       * 2015.03.02-1
+       - Bugfix release
+
+2015-10-19 Kyle Keen <keen...@gmail.com>
+       * 2015.03.01-5
+       - No changes
+       - Rebuild for cgal-4.7
+
+2015-10-02 foutrelis
+       * 2015.03.01-4
+       - No changes
+
+2015-04-29 Kyle Keen <keen...@gmail.com>
+       * 2015.03.01-3
+       - No changes
+       - Rebuild for qscintilla-2.9-1
+
+2015-04-22 Kyle Keen <keen...@gmail.com>
+       * 2015.03.01-2
+       - No changes
+       - Rebuild for boost-1.58.0-1
+
+2015-04-22 Kyle Keen <keen...@gmail.com>
+       * 2015.03.01-1
+       - Bugfix release
+
+2015-04-11 Kyle Keen <keen...@gmail.com>
+       * 2015.03-2
+       - No changes
+       - Rebuild for cgal-4.6-1
+
+2015-03-10 Kyle Keen <keen...@gmail.com>
+       * 2015.03-1
+       - New release
+       - Now uses qscintilla for the editor
+
+2014-11-04 Kyle Keen <keen...@gmail.com>
+       * 2014.03-5
+       - No changes
+       - Rebuild for boost-1.57.0-1
+
+2014-08-18 Kyle Keen <keen...@gmail.com>
+       * 2014.03-4
+       - No changes
+       - Rebuild for boost-1.56.0-1
+
+2014-08-18 Kyle Keen <keen...@gmail.com>
+       * 2014.03-3
+       - No changes
+       - Rebuild for glew-1.11.0-1
+
+2014-08-12 Kyle Keen <keen...@gmail.com>
+       * 2014.03-2
+       - No changes
+       - Rebuild for boost-1.56.0-1
+
+2014-03-09 Kyle Keen <keen...@gmail.com>
+
+       * 2014.03-1
+       - New release
+       - MIME associations
+
+2014-02-10 Kyle Keen <keen...@gmail.com>
+
+       * 2013.06-3
+       - Moved package to [community]
+       - Explicit boost depends
+       - Use official resources
+
+2014-02-07 Chirantan Ekbote <chirantan.ekb...@gmail.com>
+
+       * 2013.06-2
+       - Update makedepends since eigen3 has now become eigen in [extra]
+
+2013-06-19 Chirantan Ekbote <chirantan.ekb...@gmail.com>
+
+       * 2013.06-1 :
+       - Updated to version 2013.06
+
+2013-03-01 Chirantan Ekbote <chirantan.ekb...@gmail.com>
+
+       * 2013.01-2 :
+       Dependency qt replaced with qt4
+
+2013-01-23 Chirantan Ekbote <chirantan.ekb...@gmail.com>
+
+       * 2013.01-1 :
+       New upstream release.
+       Dependency eigen2 repaced by eigen3

Copied: openscad/repos/community-staging-x86_64/PKGBUILD (from rev 190047, 
openscad/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD                           (rev 0)
+++ community-staging-x86_64/PKGBUILD   2016-09-20 12:04:54 UTC (rev 190048)
@@ -0,0 +1,54 @@
+# $Id$
+# Maintainer: Kyle Keen <keen...@gmail.com>
+# Contributor: Chirantan Ekbote <chirantan.ekbote at gmail.com>
+# Contributor: Eric Anderson <ejona86 at gmail.com>
+# Contributor: Pierre DOUCET <pierre at equinoxefr.org>
+pkgname=openscad
+pkgver=2015.03.03
+_ver=2015.03-3  # hopefully -X is temporary
+pkgrel=6
+pkgdesc="The programmers solid 3D CAD modeller"
+url="http://openscad.org/";
+arch=('i686' 'x86_64')
+license=('GPL2')
+changelog=CHANGELOG
+depends=('qt4' 'qscintilla' 'cgal' 'opencsg' 'boost-libs' 'shared-mime-info')
+makedepends=('eigen' 'boost' 'imagemagick')
+# full tests need imagemagick and an X11 or framebuffer session
+checkdepends=('cmake' 'xproto' 'libx11' 'python2')
+source=("http://files.openscad.org/openscad-$_ver.src.tar.gz";)
+md5sums=('a498a218a247468eee140ccc44c73afa')
+
+build() {
+    cd "$srcdir/$pkgname-$_ver"
+    qmake-qt4 PREFIX="/usr"
+    make
+    convert "icons/$pkgname.png" -resize 128x128\> "icons/$pkgname-128.png"
+}
+
+check() {
+    # see doc/testing.txt about enabling
+    # normally will display stuff, run image diffs
+    cd "$srcdir/$pkgname-$_ver/tests"
+    sed -i 's/exit 1/exit 0/' virtualfb.sh
+    cmake .
+    # pkgconfig weirdness
+    sed -i 's/-lmpfr/& -lX11/' CMakeFiles/openscad_nogui.dir/link.txt 
+    make
+    sed -i 's/ python$/&2/' *.py
+    sed -i 's|/usr/bin/python"|/usr/bin/python2"|g' CTestTestfile.cmake
+    sed -i 's|/usr/bin/python |/usr/bin/python2 |g' CTestCustom.cmake
+    msg "Running headless tests..."
+    ctest -R 
'dumptest|csgtexttest|csgtermtest|openscad-nonascii|openscad-override'
+    # echotest is buggy on i686, check again next release
+}
+
+package() {
+    cd "$srcdir/$pkgname-$_ver"
+    make INSTALL_ROOT="$pkgdir" install
+    # can't remove earlier, py files needed for tests
+    rm "$pkgdir/usr/share/openscad/libraries/MCAD/"*.py
+    install -Dm644 "icons/$pkgname.desktop" 
"$pkgdir/usr/share/applications/$pkgname.desktop"
+    install -Dm644 "icons/$pkgname-128.png" 
"$pkgdir/usr/share/pixmaps/$pkgname.png"
+    install -Dm644 "icons/$pkgname.xml" 
"$pkgdir/usr/share/mime/packages/$pkgname.xml"
+}

Reply via email to